@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.bundle.scp.css';
@import '_content/RazorClassLibrary1/RazorClassLibrary1.6vflhjbnom.bundle.scp.css';

/* /Components/Account/Pages/EULA.razor.rz.scp.css */
.login[b-k6qiplsjep] {
    position: relative;
    margin: auto;
    border-radius: var(--br-9xs);
    background-color: var(--primary-white-50);
    width: fit-content;
    height: fit-content;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    font-size: var(--font-size-4xl);
    color: var(--primary-blue-500);
    font-family: var(--font-open-sans);
}

.login-email-active-desktop[b-k6qiplsjep] {
    position: relative;
    width: 100%;
    min-width: 28.125rem;
    min-height: max(100vh, 100%);
    height: fit-content;
    overflow: scroll;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: var(--font-size-xs);
    color: var(--icons-color);
}

    .login-email-active-desktop[b-k6qiplsjep]::-webkit-scrollbar {
        display: none;
    }

.login-background-icon[b-k6qiplsjep] {
    width: 100%;
    height: max(100%, 100vh);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    object-fit: cover;
}

input[type=text][b-k6qiplsjep] {
    color: black;
    border: none;
    caret-color: var(--primary-blue-500);
}

    input[type=text]:focus[b-k6qiplsjep] {
        border: none;
        outline: none;
    }

input[type=password][b-k6qiplsjep] {
    border: none;
    color: black;
    caret-color: var(--primary-blue-500);
    background-color: var(--primary-white-200);
}

    input[type=password]:focus[b-k6qiplsjep] {
        border: none;
        outline: none;
    }

.divider-bottom[b-k6qiplsjep] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    bottom: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.divider-top[b-k6qiplsjep] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    top: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.header[b-k6qiplsjep] {
    position: relative;
    width: 28.125rem;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
}

.header-text[b-k6qiplsjep] {
    position: relative;
    height: 1.75rem;
    font-size: var(--font-size-xl);
    color: var(--primary-black-500);
    font-weight: 600;
    display: flex;
    align-items: center;
}

.body[b-k6qiplsjep] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
}

.display-email-address[b-k6qiplsjep] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
    font-weight: 600;
}

.content[b-k6qiplsjep] {
    position: relative;
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
    overflow-x: hidden;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

    .content[b-k6qiplsjep]::-webkit-scrollbar {
        display: none;
    }

.email-field[b-k6qiplsjep] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.text-box-label[b-k6qiplsjep] {
    position: absolute;
    top: 0;
    padding-left: 0.875rem;
    font-size: 0.75rem;
    color: var(--primary-blue-500);
    padding-top: 0.5rem;
    left: 0.125rem;
}

.send-again[b-k6qiplsjep] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.25rem;
}

.missed-email-text[b-k6qiplsjep] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.send-again-text[b-k6qiplsjep] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-blue-500);
    cursor: pointer;
}

    .send-again-text:hover[b-k6qiplsjep] {
        text-decoration: underline;
    }

.password-field[b-k6qiplsjep] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.left-content[b-k6qiplsjep] {
    position: relative;
    height: 3.5rem;
    width: 100%;
    background-color: var(--primary-white-200);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.visibility-icon[b-k6qiplsjep] {
    width: 1.5rem;
    position: relative;
    height: 1.5rem;
    cursor: pointer;
}

.password-requirements-section[b-k6qiplsjep] {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.password-requirement-item[b-k6qiplsjep] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5rem;
}

.checkmark-icon[b-k6qiplsjep] {
    width: 1rem;
    position: relative;
    height: 1rem;
}

.password-requirement-item-text[b-k6qiplsjep] {
    position: relative;
    font-size: 0.875rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.password-updated-icon-background[b-k6qiplsjep] {
    position: relative;
    align-self: center;
    width: 6rem;
    height: 6rem;
    min-height: 6rem;
    border-radius: 50%;
    background-color: var(--primary-blue-50);
    display: flex;
    align-items: center;
    justify-content: center;
}

.password-updated-icon[b-k6qiplsjep] {
    position: relative;
    width: 3.5rem;
    height: 3.5rem;
}

.footer[b-k6qiplsjep] {
    position: relative;
    bottom: 0;
    left: 0;
    height: 5.25rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem;
}

.finish-button[b-k6qiplsjep] {
    height: 2.25rem;
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: var(--padding-5xs) var(--padding-base);
    box-sizing: border-box;
    border-radius: 0.25rem;
    background-color: var(--primary-blue-500);
    gap: 0.5rem;
    cursor: pointer;
    color: var(--primary-white-50);
    font-family: var(--font-open-sans);
    font-weight: 600;
    font-size: 1rem;
}
/* /Components/Account/Pages/ForgotPassword.razor.rz.scp.css */
.login[b-yy3s327zi8] {
    position: relative;
    margin: auto;
    border-radius: var(--br-9xs);
    background-color: var(--primary-white-50);
    width: fit-content;
    height: fit-content;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    font-size: var(--font-size-4xl);
    color: var(--primary-blue-500);
    font-family: var(--font-open-sans);
}

.login-email-active-desktop[b-yy3s327zi8] {
    position: relative;
    width: 100%;
    min-width: 28.125rem;
    min-height: max(100vh, 100%);
    height: fit-content;
    overflow: scroll;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: var(--font-size-xs);
    color: var(--icons-color);
}

    .login-email-active-desktop[b-yy3s327zi8]::-webkit-scrollbar {
        display: none;
    }

.login-background-icon[b-yy3s327zi8] {
    width: 100%;
    height: max(100%, 100vh);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    object-fit: cover;
}

input[type=text][b-yy3s327zi8] {
    color: black;
    border: none;
    caret-color: var(--primary-blue-500);
}

    input[type=text]:focus[b-yy3s327zi8] {
        border: none;
        outline: none;
    }

input[type=password][b-yy3s327zi8] {
    border: none;
    color: black;
    caret-color: var(--primary-blue-500);
    background-color: var(--primary-white-200);
}

    input[type=password]:focus[b-yy3s327zi8] {
        border: none;
        outline: none;
    }

.divider-bottom[b-yy3s327zi8] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    bottom: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.divider-top[b-yy3s327zi8] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    top: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.header[b-yy3s327zi8] {
    position: relative;
    width: 28.125rem;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
}

.header-text[b-yy3s327zi8] {
    position: relative;
    height: 1.75rem;
    font-size: var(--font-size-xl);
    color: var(--primary-black-500);
    font-weight: 600;
    display: flex;
    align-items: center;
}

.body[b-yy3s327zi8] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
}

.display-email-address[b-yy3s327zi8] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
    font-weight: 600;
}

.content[b-yy3s327zi8] {
    position: relative;
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
    overflow-x: hidden;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

    .content[b-yy3s327zi8]::-webkit-scrollbar {
        display: none;
    }

.email-field[b-yy3s327zi8] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.text-box-label[b-yy3s327zi8] {
    position: absolute;
    top: 0;
    padding-left: 0.875rem;
    font-size: 0.75rem;
    color: var(--primary-blue-500);
    padding-top: 0.5rem;
    left: 0.125rem;
}

.send-again[b-yy3s327zi8] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.25rem;
}

.missed-email-text[b-yy3s327zi8] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.send-again-text[b-yy3s327zi8] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-blue-500);
    cursor: pointer;
}

    .send-again-text:hover[b-yy3s327zi8] {
        text-decoration: underline;
    }

.password-field[b-yy3s327zi8] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.left-content[b-yy3s327zi8] {
    position: relative;
    height: 3.5rem;
    width: 100%;
    background-color: var(--primary-white-200);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.visibility-icon[b-yy3s327zi8] {
    width: 1.5rem;
    position: relative;
    height: 1.5rem;
    cursor: pointer;
}

.password-requirements-section[b-yy3s327zi8] {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.password-requirement-item[b-yy3s327zi8] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5rem;
}

.checkmark-icon[b-yy3s327zi8] {
    width: 1rem;
    position: relative;
    height: 1rem;
}

.password-requirement-item-text[b-yy3s327zi8] {
    position: relative;
    font-size: 0.875rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.password-updated-icon-background[b-yy3s327zi8] {
    position: relative;
    align-self: center;
    width: 6rem;
    height: 6rem;
    min-height: 6rem;
    border-radius: 50%;
    background-color: var(--primary-blue-50);
    display: flex;
    align-items: center;
    justify-content: center;
}

.password-updated-icon[b-yy3s327zi8] {
    position: relative;
    width: 3.5rem;
    height: 3.5rem;
}

.footer[b-yy3s327zi8] {
    position: relative;
    bottom: 0;
    left: 0;
    height: 5.25rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem;
}

.finish-button[b-yy3s327zi8] {
    height: 2.25rem;
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: var(--padding-5xs) var(--padding-base);
    box-sizing: border-box;
    border-radius: 0.25rem;
    background-color: var(--primary-blue-500);
    gap: 0.5rem;
    cursor: pointer;
    color: var(--primary-white-50);
    font-family: var(--font-open-sans);
    font-weight: 600;
    font-size: 1rem;
}
/* /Components/Account/Pages/Login.razor.rz.scp.css */
.login[b-at9j64tq9f] {
    position: relative;
    margin: auto;
    border-radius: var(--br-9xs);
    background-color: var(--primary-white-50);
    width: fit-content;
    height: fit-content;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    font-size: var(--font-size-4xl);
    color: var(--primary-blue-500);
    font-family: var(--font-open-sans);
}

.login-email-active-desktop[b-at9j64tq9f] {
    position: relative;
    width: 100%;
    min-width: 28.125rem;
    min-height: max(100vh, 100%);
    height: fit-content;
    overflow: scroll;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: var(--font-size-xs);
    color: var(--icons-color);
}

    .login-email-active-desktop[b-at9j64tq9f]::-webkit-scrollbar {
        display: none;
    }

.login-background-icon[b-at9j64tq9f] {
    width: 100%;
    height: max(100%, 100vh);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    object-fit: cover;
}

.eaton-logo-icon[b-at9j64tq9f] {
    position: relative;
    width: 5rem;
    overflow: hidden;
}

.background-image-parent[b-at9j64tq9f] {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem;
}

.language-menu[b-at9j64tq9f] {
    position: relative;
    width: 12.5rem;
    height: 3.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 0.5rem 0 var(--padding-base);
    background-color: var(--primary-white-200);
    cursor: pointer;
}

.language-selection[b-at9j64tq9f] {
    position: relative;
    top: 0.25rem;
    font-size: var(--font-size-base);
    color: var(--primary-black-500);
}

.language-selection-menu[b-at9j64tq9f] {
    visibility: hidden;
    position: absolute;
    top: 3.125rem;
    right: 18.75rem;
    width: 12.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    background-color: var(--primary-white-200);
    border-radius: var(--br-9xs);
    box-shadow: var(--dp1);
}

.language-selection-menu-option[b-at9j64tq9f] {
    position: relative;
    width: 100%;
    height: 3.5rem;
    display: flex;
    align-items: center;
    font-size: var(--font-size-base);
    color: var(--primary-black-500);
    background-color: var(--primary-white-200);
    padding: 0.25rem 0.5rem 0 var(--padding-base);
    border-radius: inherit;
    cursor: pointer;
}

    .language-selection-menu-option:hover[b-at9j64tq9f] {
        background-color: var(--other-divider);
    }

.empty-span[b-at9j64tq9f] {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    background-image: url('empty.gif');
}

.tolbrace-fire[b-at9j64tq9f] {
    width: 25.25rem;
    position: relative;
    font-size: var(--eaton-headline-small-size);
    line-height: 2rem;
    font-weight: 500;
    font-family: var(--eaton-headline-small);
    text-align: center;
    display: inline-block;
    height: 2.5rem;
    flex-shrink: 0;
}

.left-content[b-at9j64tq9f] {
    position: relative;
    left: 1rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 1rem;
}

.email-field[b-at9j64tq9f] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.text-box-label[b-at9j64tq9f] {
    position: absolute;
    top: 0;
    padding-left: 0.875rem;
    font-size: 0.75rem;
    color: var(--primary-blue-500);
    padding-top: 0.5rem;
    left: 0.125rem;
}

.section[b-at9j64tq9f] {
    position: relative;
    height: fit-content;
    width: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: var(--gap-5xs);
}

.visibility-icon[b-at9j64tq9f] {
    width: 1.5rem;
    position: relative;
    height: 1.5rem;
    cursor: pointer;
}

.right-content[b-at9j64tq9f] {
    position: absolute;
    top: calc(50% - 0.75rem);
    right: 1rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    font-size: 0.875rem;
    background-color: var(--primary-white-200);
}

.password-field[b-at9j64tq9f] {
    position: relative;
    height: 3.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--primary-white-200);
    font-family: var(--font-open-sans);
}

.text-fields[b-at9j64tq9f] {
    align-self: stretch;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--padding-5xs) var(--padding-11xl);
    gap: 2rem;
}

.label2[b-at9j64tq9f] {
    flex: 1;
    position: relative;
    font-family: var(--font-open-sans);
}

.remember-me[b-at9j64tq9f] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 1rem;
    font-family: var(--font-open-sans);
}

.login-button-disabled[b-at9j64tq9f] {
    overflow: hidden;
    border: none;
    padding: var(--padding-5xs) var(--padding-base);
    font-size: var(--font-size-sm);
    color: var(--primary-blue-200);
    border-radius: var(--br-9xs);
    background-color: var(--primary-blue-50);
    cursor: pointer;
    font-family: var(--font-open-sans);
}

.login-button-enabled[b-at9j64tq9f] {
    overflow: hidden;
    border: none;
    padding: var(--padding-5xs) var(--padding-base);
    font-size: var(--font-size-sm);
    color: var(--primary-white-50);
    border-radius: var(--br-9xs);
    background-color: var(--primary-blue-500);
    cursor: pointer;
    font-family: var(--font-open-sans);
}

.actions[b-at9j64tq9f] {
    align-self: stretch;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0 var(--padding-11xl);
    color: var(--primary-black-500);
}

.footer-blue-text[b-at9j64tq9f] {
    position: relative;
    font-family: var(--font-open-sans);
    font-weight: 600;
    color: var(--primary-blue-500);
    cursor: pointer;
}

.footer-blue-text:hover[b-at9j64tq9f] {
    text-decoration: underline;
}

.dont-have-an-account-container[b-at9j64tq9f] {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: var(--font-open-sans);
}

.dont-have-an-account[b-at9j64tq9f] {
    position: relative;
    color: var(--primary-gray-200);
    font-family: var(--font-open-sans);
}

.login-extras[b-at9j64tq9f] {
    align-self: stretch;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 0 var(--padding-base);
    gap: 1.5rem;
}

.eaton-lock-icon[b-at9j64tq9f] {
    position: relative;
    height: 2.25rem;
    width: 2.25rem;
    overflow: hidden;
}

.cybersecurity-certified1[b-at9j64tq9f] {
    position: relative;
}

.eaton-logo-footer[b-at9j64tq9f] {
    position: relative;
    height: 0.5rem;
    width: 2rem;
    overflow: hidden;
    margin-top: 0.25rem;
}

.cybersecurity-certified[b-at9j64tq9f] {
    width: 5.3125rem;
    position: relative;
    height: 4.5625rem;
    font-size: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.375rem;
}

.updated-footer[b-at9j64tq9f] {
    align-self: stretch;
    overflow: hidden;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    box-sizing: border-box;
    gap: 2.25rem;
    text-align: center;
    font-size: var(--font-size-sm);
    color: var(--primary-blue-500);
    padding: var(--br-5xs) 0;
}

.content[b-at9j64tq9f] {
    align-self: stretch;
    height: fit-content;
    overflow: hidden;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: var(--gap-base);
    font-size: var(--font-size-base);
    color: var(--primary-gray-500);
}

input[type=text][b-at9j64tq9f] {
    color: black;
    border: none;
    caret-color: var(--primary-blue-500);
}

input[type=text]:focus[b-at9j64tq9f] {
    border: none;
    outline: none;
}

.input-field[b-at9j64tq9f] {
    position: relative;
    font-size: 1rem;
    width: 18.75rem;
    font-family: var(--font-open-sans);
    text-overflow: ellipsis;
    background-color: var(--primary-white-200);
    border: none;
}

input[type=password][b-at9j64tq9f] {
    border: none;
    color: black;
    caret-color: var(--primary-blue-500);
    background-color: var(--primary-white-200);
}

input[type=password]:focus[b-at9j64tq9f] {
    border: none;
    outline: none;
}

.image-button[b-at9j64tq9f] {
    background: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
}

.divider-bottom[b-at9j64tq9f] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    bottom: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.message-box[b-at9j64tq9f] {
    position: relative;
    padding: var(--padding-5xs);
    border: 0.0625rem solid var(--status-green-700);
    color: var(--status-green-700);
    border-radius: var(--br-9xs);
}

.error-message-box[b-at9j64tq9f] {
    position: relative;
    padding: var(--padding-5xs);
    border: 0.0625rem solid var(--status-red-500);
    color: var(--status-red-500);
    border-radius: var(--br-9xs);
}
/* /Components/Account/Pages/Register.razor.rz.scp.css */
.login[b-xdjdo0work] {
    position: relative;
    margin: auto;
    border-radius: var(--br-9xs);
    background-color: var(--primary-white-50);
    width: fit-content;
    height: fit-content;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    font-size: var(--font-size-4xl);
    color: var(--primary-blue-500);
    font-family: var(--font-open-sans);
}

.login-email-active-desktop[b-xdjdo0work] {
    position: relative;
    width: 100%;
    min-width: 28.125rem;
    min-height: max(100vh, 100%);
    height: fit-content;
    overflow: scroll;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: var(--font-size-xs);
    color: var(--icons-color);
}

    .login-email-active-desktop[b-xdjdo0work]::-webkit-scrollbar {
        display: none;
    }

.login-background-icon[b-xdjdo0work] {
    width: 100%;
    height: max(100%, 100vh);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    object-fit: cover;
}

input[type=text][b-xdjdo0work] {
    color: black;
    border: none;
    caret-color: var(--primary-blue-500);
}

    input[type=text]:focus[b-xdjdo0work] {
        border: none;
        outline: none;
    }

input[type=password][b-xdjdo0work] {
    border: none;
    color: black;
    caret-color: var(--primary-blue-500);
    background-color: var(--primary-white-200);
}

    input[type=password]:focus[b-xdjdo0work] {
        border: none;
        outline: none;
    }

.divider-bottom[b-xdjdo0work] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    bottom: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.divider-top[b-xdjdo0work] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    top: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.header[b-xdjdo0work] {
    position: relative;
    width: 28.125rem;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
}

.header-text[b-xdjdo0work] {
    position: relative;
    height: 1.75rem;
    font-size: var(--font-size-xl);
    color: var(--primary-black-500);
    font-weight: 600;
    display: flex;
    align-items: center;
}

.body[b-xdjdo0work] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
}

.display-email-address[b-xdjdo0work] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
    font-weight: 600;
}

.content[b-xdjdo0work] {
    position: relative;
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
    overflow-x: hidden;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

    .content[b-xdjdo0work]::-webkit-scrollbar {
        display: none;
    }

.email-field[b-xdjdo0work] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.text-box-label[b-xdjdo0work] {
    position: absolute;
    top: 0;
    padding-left: 0.875rem;
    font-size: 0.75rem;
    color: var(--primary-blue-500);
    padding-top: 0.5rem;
    left: 0.125rem;
}

.send-again[b-xdjdo0work] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.25rem;
}

.missed-email-text[b-xdjdo0work] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.send-again-text[b-xdjdo0work] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-blue-500);
    cursor: pointer;
}

    .send-again-text:hover[b-xdjdo0work] {
        text-decoration: underline;
    }

.password-field[b-xdjdo0work] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.left-content[b-xdjdo0work] {
    position: relative;
    height: 3.5rem;
    width: 100%;
    background-color: var(--primary-white-200);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.visibility-icon[b-xdjdo0work] {
    width: 1.5rem;
    position: relative;
    height: 1.5rem;
    cursor: pointer;
}

.password-requirements-section[b-xdjdo0work] {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.password-requirement-item[b-xdjdo0work] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5rem;
}

.checkmark-icon[b-xdjdo0work] {
    width: 1rem;
    position: relative;
    height: 1rem;
}

.password-requirement-item-text[b-xdjdo0work] {
    position: relative;
    font-size: 0.875rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.password-updated-icon-background[b-xdjdo0work] {
    position: relative;
    align-self: center;
    width: 6rem;
    height: 6rem;
    min-height: 6rem;
    border-radius: 50%;
    background-color: var(--primary-blue-50);
    display: flex;
    align-items: center;
    justify-content: center;
}

.password-updated-icon[b-xdjdo0work] {
    position: relative;
    width: 3.5rem;
    height: 3.5rem;
}

.footer[b-xdjdo0work] {
    position: relative;
    bottom: 0;
    left: 0;
    height: 5.25rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem;
}

.finish-button[b-xdjdo0work] {
    height: 2.25rem;
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: var(--padding-5xs) var(--padding-base);
    box-sizing: border-box;
    border-radius: 0.25rem;
    background-color: var(--primary-blue-500);
    gap: 0.5rem;
    cursor: pointer;
    color: var(--primary-white-50);
    font-family: var(--font-open-sans);
    font-weight: 600;
    font-size: 1rem;
}
/* /Components/Account/Pages/RegisterConfirmation.razor.rz.scp.css */
.login[b-js228ecfod] {
    position: relative;
    margin: auto;
    border-radius: var(--br-9xs);
    background-color: var(--primary-white-50);
    width: fit-content;
    height: fit-content;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    font-size: var(--font-size-4xl);
    color: var(--primary-blue-500);
    font-family: var(--font-open-sans);
}

.login-email-active-desktop[b-js228ecfod] {
    position: relative;
    width: 100%;
    min-width: 28.125rem;
    min-height: max(100vh, 100%);
    height: fit-content;
    overflow: scroll;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: var(--font-size-xs);
    color: var(--icons-color);
}

    .login-email-active-desktop[b-js228ecfod]::-webkit-scrollbar {
        display: none;
    }

.login-background-icon[b-js228ecfod] {
    width: 100%;
    height: max(100%, 100vh);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    object-fit: cover;
}

.header[b-js228ecfod] {
    position: relative;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
}

.header-text[b-js228ecfod] {
    position: relative;
    height: 1.75rem;
    font-size: var(--font-size-xl);
    color: var(--primary-black-500);
    font-weight: 600;
    display: flex;
    align-items: center;
    align-self: center;
}

.password-updated-icon[b-js228ecfod] {
    position: relative;
    align-self: center;
    height: 3.5rem;
    width: 3.5rem;
}

.body[b-js228ecfod] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
    width: 25rem;
}

.alert[b-js228ecfod] {
    font-size: var(--font-size-base);
    width: 25rem;
}

.custom-text-danger[b-js228ecfod] {
    --bs-text-opacity: 1;
    color: rgba(var(--bs-danger-rgb), var(--bs-text-opacity)) !important;
    font-size: var(--font-size-base);
    width: 25rem;
}

input[type=text][b-js228ecfod] {
    color: black;
    border: none;
    caret-color: var(--primary-blue-500);
    background-color: var(--primary-white-200);
}

    input[type=text]:focus[b-js228ecfod] {
        border: none;
        outline: none;
    }

.text-input-field[b-js228ecfod] {
    position: relative;
    padding-top: 1.5rem;
    padding-left: var(--padding-base);
    padding-right: 4.625rem;
    font-size: 1rem;
    width: 25.125rem;
    height: 3.5rem;
    font-family: var(--font-open-sans);
    text-overflow: ellipsis;
    background-color: var(--primary-white-200);
    border: none;
}

input[type=password][b-js228ecfod] {
    border: none;
    color: black;
    caret-color: var(--primary-blue-500);
    background-color: var(--primary-white-200);
}

    input[type=password]:focus[b-js228ecfod] {
        border: none;
        outline: none;
    }



.visibility-icon-button[b-js228ecfod] {
    position: absolute;
    top: calc(50% - 0.75rem);
    right: 1rem;
    appearance: none;
    cursor: pointer;
    height: 1.5rem;
    width: 1.5rem;
    background-size: contain;
    background-image: url(../_content/RazorClassLibrary1/visibility-icon-on.svg);
}

    .visibility-icon-button:checked[b-js228ecfod] {
        background-image: url(../_content/RazorClassLibrary1/visibility-icon-off.svg);
    }

.password-requirement-checkbox[b-js228ecfod] {
    position: relative;
    appearance: none;
    height: 1.125rem;
    width: 1.125rem;
    background-size: contain;
    background-image: url(../_content/RazorClassLibrary1/checkmark-icon-gray.svg);
}

    .password-requirement-checkbox:checked[b-js228ecfod] {
        background-image: url(../_content/RazorClassLibrary1/checkmark-icon-blue.svg);
    }

.white-button[b-js228ecfod] {
    border: 0.0625rem solid var(--primary-blue-500);
    border-radius: 0.25rem;
    background-color: var(--primary-white-50);
    height: 2.25rem;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: var(--padding-5xs) var(--padding-base);
    box-sizing: border-box;
    gap: 0.5rem;
    cursor: pointer;
    color: var(--primary-blue-500);
    font-family: var(--font-open-sans);
    font-weight: 600;
    font-size: 1rem;
    text-decoration-line: none;
}

    .white-button:hover[b-js228ecfod] {
        color: var(--primary-blue-500);
    }

.blue-button[b-js228ecfod] {
    border: none;
    border-radius: 0.25rem;
    background-color: var(--primary-blue-500);
    height: 2.25rem;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: var(--padding-5xs) var(--padding-base);
    box-sizing: border-box;
    gap: 0.5rem;
    cursor: pointer;
    color: var(--primary-white-50);
    font-family: var(--font-open-sans);
    font-weight: 600;
    font-size: 1rem;
}
/* /Components/Account/Pages/ResetPassword.razor.rz.scp.css */
.login[b-2krm63g96z] {
    position: relative;
    margin: auto;
    border-radius: var(--br-9xs);
    background-color: var(--primary-white-50);
    width: fit-content;
    height: fit-content;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    font-size: var(--font-size-4xl);
    color: var(--primary-blue-500);
    font-family: var(--font-open-sans);
}

.login-email-active-desktop[b-2krm63g96z] {
    position: relative;
    width: 100%;
    min-width: 28.125rem;
    height: fit-content;
    min-height: max(100vh, 100%);
    overflow: scroll;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: var(--font-size-xs);
    color: var(--icons-color);
}

    .login-email-active-desktop[b-2krm63g96z]::-webkit-scrollbar {
        display: none;
    }

.login-background-icon[b-2krm63g96z] {
    width: 100%;
    height: max(100%, 100vh);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    object-fit: cover;
}

input[type=text][b-2krm63g96z] {
    color: black;
    border: none;
    caret-color: var(--primary-blue-500);
}

    input[type=text]:focus[b-2krm63g96z] {
        border: none;
        outline: none;
    }

input[type=password][b-2krm63g96z] {
    border: none;
    color: black;
    caret-color: var(--primary-blue-500);
    background-color: var(--primary-white-200);
}

    input[type=password]:focus[b-2krm63g96z] {
        border: none;
        outline: none;
    }

.divider-bottom[b-2krm63g96z] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    bottom: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.divider-top[b-2krm63g96z] {
    position: absolute;
    width: calc(100% + 0.0625rem);
    right: -0.03125rem;
    top: -0.03125rem;
    left: -0.03125rem;
    border: 0.0625rem solid var(--other-divider);
    box-sizing: border-box;
    height: 0.0625rem;
}

.header[b-2krm63g96z] {
    position: relative;
    width: 28.125rem;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
}

.header-text[b-2krm63g96z] {
    position: relative;
    height: 1.75rem;
    font-size: var(--font-size-xl);
    color: var(--primary-black-500);
    font-weight: 600;
    display: flex;
    align-items: center;
}

.body[b-2krm63g96z] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
}

.display-email-address[b-2krm63g96z] {
    position: relative;
    font-size: 1rem;
    color: var(--primary-black-500);
    font-weight: 600;
}

.content[b-2krm63g96z] {
    position: relative;
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 2rem 1.5rem;
    gap: 1rem;
    overflow-x: hidden;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

    .content[b-2krm63g96z]::-webkit-scrollbar {
        display: none;
    }

.email-field[b-2krm63g96z] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.text-box-label[b-2krm63g96z] {
    position: absolute;
    top: 0;
    padding-left: 0.875rem;
    font-size: 0.75rem;
    color: var(--primary-blue-500);
    padding-top: 0.5rem;
    left: 0.125rem;
}

.send-again[b-2krm63g96z] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.25rem;
}

.missed-email-text[b-2krm63g96z] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.send-again-text[b-2krm63g96z] {
    position: relative;
    font-size: 1rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-blue-500);
    cursor: pointer;
}

    .send-again-text:hover[b-2krm63g96z] {
        text-decoration: underline;
    }

.password-field[b-2krm63g96z] {
    position: relative;
    height: 3.5rem;
    width: 25.125rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.left-content[b-2krm63g96z] {
    position: relative;
    height: 3.5rem;
    width: 100%;
    background-color: var(--primary-white-200);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.visibility-icon[b-2krm63g96z] {
    width: 1.5rem;
    position: relative;
    height: 1.5rem;
    cursor: pointer;
}

.password-requirements-section[b-2krm63g96z] {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}

.password-requirement-item[b-2krm63g96z] {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5rem;
}

.checkmark-icon[b-2krm63g96z] {
    width: 1rem;
    position: relative;
    height: 1rem;
}

.password-requirement-item-text[b-2krm63g96z] {
    position: relative;
    font-size: 0.875rem;
    font-family: var(--font-open-sans);
    text-align: left;
    color: var(--primary-black-500);
}

.password-updated-icon-background[b-2krm63g96z] {
    position: relative;
    align-self: center;
    width: 6rem;
    height: 6rem;
    min-height: 6rem;
    border-radius: 50%;
    background-color: var(--primary-blue-50);
    display: flex;
    align-items: center;
    justify-content: center;
}

.password-updated-icon[b-2krm63g96z] {
    position: relative;
    width: 3.5rem;
    height: 3.5rem;
}

.footer[b-2krm63g96z] {
    position: relative;
    bottom: 0;
    left: 0;
    height: 5.25rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem;
}

.finish-button[b-2krm63g96z] {
    height: 2.25rem;
    width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: var(--padding-5xs) var(--padding-base);
    box-sizing: border-box;
    border-radius: 0.25rem;
    background-color: var(--primary-blue-500);
    gap: 0.5rem;
    cursor: pointer;
    color: var(--primary-white-50);
    font-family: var(--font-open-sans);
    font-weight: 600;
    font-size: 1rem;
}
